<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.6.0_35) on Sun Jan 20 22:40:30 CET 2013 -->
<META http-equiv="Content-Type" content="text/html; charset=UTF-8">
<TITLE>
ContentEncodingHttpClient (HttpComponents Client 4.3-alpha1 API)
</TITLE>

<META NAME="date" CONTENT="2013-01-20">

<LINK REL ="stylesheet" TYPE="text/css" HREF="../../../../../stylesheet.css" TITLE="Style">

<SCRIPT type="text/javascript">
function windowTitle()
{
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="ContentEncodingHttpClient (HttpComponents Client 4.3-alpha1 API)";
    }
}
</SCRIPT>
<NOSCRIPT>
</NOSCRIPT>

</HEAD>

<BODY BGCOLOR="white" onload="windowTitle();">
<HR>


<!-- ========= START OF TOP NAVBAR ======= -->
<A NAME="navbar_top"><!-- --></A>
<A HREF="#skip-navbar_top" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/ContentEncodingHttpClient.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../index-all.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../../org/apache/http/impl/client/CloseableHttpClient.html" title="class in org.apache.http.impl.client"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../../../../../org/apache/http/impl/client/DecompressingHttpClient.html" title="class in org.apache.http.impl.client"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../../index.html?org/apache/http/impl/client/ContentEncodingHttpClient.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="ContentEncodingHttpClient.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_summary">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_detail">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_top"></A>
<!-- ========= END OF TOP NAVBAR ========= -->

<HR>
<!-- ======== START OF CLASS DATA ======== -->
<H2>
<FONT SIZE="-1">
org.apache.http.impl.client</FONT>
<BR>
Class ContentEncodingHttpClient</H2>
<PRE>
<A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</A>
  <IMG SRC="../../../../../resources/inherit.gif" ALT="extended by "><A HREF="../../../../../org/apache/http/impl/client/CloseableHttpClient.html" title="class in org.apache.http.impl.client">org.apache.http.impl.client.CloseableHttpClient</A>
      <IMG SRC="../../../../../resources/inherit.gif" ALT="extended by "><A HREF="../../../../../org/apache/http/impl/client/AbstractHttpClient.html" title="class in org.apache.http.impl.client">org.apache.http.impl.client.AbstractHttpClient</A>
          <IMG SRC="../../../../../resources/inherit.gif" ALT="extended by "><A HREF="../../../../../org/apache/http/impl/client/DefaultHttpClient.html" title="class in org.apache.http.impl.client">org.apache.http.impl.client.DefaultHttpClient</A>
              <IMG SRC="../../../../../resources/inherit.gif" ALT="extended by "><B>org.apache.http.impl.client.ContentEncodingHttpClient</B>
</PRE>
<DL>
<DT><B>All Implemented Interfaces:</B> <DD><A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/io/Closeable.html?is-external=true" title="class or interface in java.io">Closeable</A>, <A HREF="../../../../../org/apache/http/client/HttpClient.html" title="interface in org.apache.http.client">HttpClient</A></DD>
</DL>
<HR>
<B>Deprecated.</B>&nbsp;<I>(4.2) use <A HREF="../../../../../org/apache/http/impl/client/HttpClientBuilder.html" title="class in org.apache.http.impl.client"><CODE>HttpClientBuilder</CODE></A></I>
<P>
<DL>
<DT><PRE><FONT SIZE="-1"><A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Deprecated.html?is-external=true" title="class or interface in java.lang">@Deprecated</A>
<A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/annotation/ThreadSafe.html?is-external=true" title="class or interface in org.apache.http.annotation">@ThreadSafe</A>
</FONT>public class <B>ContentEncodingHttpClient</B><DT>extends <A HREF="../../../../../org/apache/http/impl/client/DefaultHttpClient.html" title="class in org.apache.http.impl.client">DefaultHttpClient</A></DL>
</PRE>

<P>
<A HREF="../../../../../org/apache/http/impl/client/DefaultHttpClient.html" title="class in org.apache.http.impl.client"><CODE>DefaultHttpClient</CODE></A> sub-class which includes a <A HREF="../../../../../org/apache/http/client/protocol/RequestAcceptEncoding.html" title="class in org.apache.http.client.protocol"><CODE>RequestAcceptEncoding</CODE></A>
 for the request and response.

 <b>Deprecation note:</b> due to the way this class modifies a response body
 without changing the response headers to reflect the entity changes, it cannot
 be used as the &quot;backend&quot; for a caching <A HREF="../../../../../org/apache/http/client/HttpClient.html" title="interface in org.apache.http.client"><CODE>HttpClient</CODE></A> and still
 have uncompressed responses be cached. Users are encouraged to use the
 <A HREF="../../../../../org/apache/http/impl/client/DecompressingHttpClient.html" title="class in org.apache.http.impl.client"><CODE>DecompressingHttpClient</CODE></A> instead of this class, which can be wired in
 either before or after caching, depending on whether you want to cache
 responses in compressed or uncompressed form.
<P>

<P>
<DL>
<DT><B>Since:</B></DT>
  <DD>4.1</DD>
</DL>
<HR>

<P>

<!-- ======== CONSTRUCTOR SUMMARY ======== -->

<A NAME="constructor_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Constructor Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../../org/apache/http/impl/client/ContentEncodingHttpClient.html#ContentEncodingHttpClient()">ContentEncodingHttpClient</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<B>Deprecated.</B>&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../../org/apache/http/impl/client/ContentEncodingHttpClient.html#ContentEncodingHttpClient(org.apache.http.conn.ClientConnectionManager, org.apache.http.params.HttpParams)">ContentEncodingHttpClient</A></B>(<A HREF="../../../../../org/apache/http/conn/ClientConnectionManager.html" title="interface in org.apache.http.conn">ClientConnectionManager</A>&nbsp;conman,
                          <A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/params/HttpParams.html?is-external=true" title="class or interface in org.apache.http.params">HttpParams</A>&nbsp;params)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<B>Deprecated.</B>&nbsp;Creates a new HTTP client from parameters and a connection manager.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../../org/apache/http/impl/client/ContentEncodingHttpClient.html#ContentEncodingHttpClient(org.apache.http.params.HttpParams)">ContentEncodingHttpClient</A></B>(<A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/params/HttpParams.html?is-external=true" title="class or interface in org.apache.http.params">HttpParams</A>&nbsp;params)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<B>Deprecated.</B>&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<!-- ========== METHOD SUMMARY =========== -->

<A NAME="method_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Method Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;<A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/protocol/BasicHttpProcessor.html?is-external=true" title="class or interface in org.apache.http.protocol">BasicHttpProcessor</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/apache/http/impl/client/ContentEncodingHttpClient.html#createHttpProcessor()">createHttpProcessor</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<B>Deprecated.</B>&nbsp;Create the processor with the following interceptors:
 
 <A HREF="../../../../../org/apache/http/client/protocol/RequestDefaultHeaders.html" title="class in org.apache.http.client.protocol"><CODE>RequestDefaultHeaders</CODE></A>
 <A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/protocol/RequestContent.html?is-external=true" title="class or interface in org.apache.http.protocol"><CODE>RequestContent</CODE></A>
 <A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/protocol/RequestTargetHost.html?is-external=true" title="class or interface in org.apache.http.protocol"><CODE>RequestTargetHost</CODE></A>
 <A HREF="../../../../../org/apache/http/client/protocol/RequestClientConnControl.html" title="class in org.apache.http.client.protocol"><CODE>RequestClientConnControl</CODE></A>
 <A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/protocol/RequestUserAgent.html?is-external=true" title="class or interface in org.apache.http.protocol"><CODE>RequestUserAgent</CODE></A>
 <A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/protocol/RequestExpectContinue.html?is-external=true" title="class or interface in org.apache.http.protocol"><CODE>RequestExpectContinue</CODE></A>
 <A HREF="../../../../../org/apache/http/client/protocol/RequestAddCookies.html" title="class in org.apache.http.client.protocol"><CODE>RequestAddCookies</CODE></A>
 <A HREF="../../../../../org/apache/http/client/protocol/ResponseProcessCookies.html" title="class in org.apache.http.client.protocol"><CODE>ResponseProcessCookies</CODE></A>
 <A HREF="../../../../../org/apache/http/client/protocol/RequestAuthCache.html" title="class in org.apache.http.client.protocol"><CODE>RequestAuthCache</CODE></A>
 <A HREF="../../../../../org/apache/http/client/protocol/RequestTargetAuthentication.html" title="class in org.apache.http.client.protocol"><CODE>RequestTargetAuthentication</CODE></A>
 <A HREF="../../../../../org/apache/http/client/protocol/RequestProxyAuthentication.html" title="class in org.apache.http.client.protocol"><CODE>RequestProxyAuthentication</CODE></A>
 </TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_org.apache.http.impl.client.DefaultHttpClient"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from class org.apache.http.impl.client.<A HREF="../../../../../org/apache/http/impl/client/DefaultHttpClient.html" title="class in org.apache.http.impl.client">DefaultHttpClient</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="../../../../../org/apache/http/impl/client/DefaultHttpClient.html#createHttpParams()">createHttpParams</A>, <A HREF="../../../../../org/apache/http/impl/client/DefaultHttpClient.html#setDefaultHttpParams(org.apache.http.params.HttpParams)">setDefaultHttpParams</A></CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_org.apache.http.impl.client.AbstractHttpClient"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from class org.apache.http.impl.client.<A HREF="../../../../../org/apache/http/impl/client/AbstractHttpClient.html" title="class in org.apache.http.impl.client">AbstractHttpClient</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="../../../../../org/apache/http/impl/client/AbstractHttpClient.html#addRequestInterceptor(org.apache.http.HttpRequestInterceptor)">addRequestInterceptor</A>, <A HREF="../../../../../org/apache/http/impl/client/AbstractHttpClient.html#addRequestInterceptor(org.apache.http.HttpRequestInterceptor, int)">addRequestInterceptor</A>, <A HREF="../../../../../org/apache/http/impl/client/AbstractHttpClient.html#addResponseInterceptor(org.apache.http.HttpResponseInterceptor)">addResponseInterceptor</A>, <A HREF="../../../../../org/apache/http/impl/client/AbstractHttpClient.html#addResponseInterceptor(org.apache.http.HttpResponseInterceptor, int)">addResponseInterceptor</A>, <A HREF="../../../../../org/apache/http/impl/client/AbstractHttpClient.html#clearRequestInterceptors()">clearRequestInterceptors</A>, <A HREF="../../../../../org/apache/http/impl/client/AbstractHttpClient.html#clearResponseInterceptors()">clearResponseInterceptors</A>, <A HREF="../../../../../org/apache/http/impl/client/AbstractHttpClient.html#close()">close</A>, <A HREF="../../../../../org/apache/http/impl/client/AbstractHttpClient.html#createAuthSchemeRegistry()">createAuthSchemeRegistry</A>, <A HREF="../../../../../org/apache/http/impl/client/AbstractHttpClient.html#createClientConnectionManager()">createClientConnectionManager</A>, <A HREF="../../../../../org/apache/http/impl/client/AbstractHttpClient.html#createClientRequestDirector(org.apache.http.protocol.HttpRequestExecutor, org.apache.http.conn.ClientConnectionManager, org.apache.http.ConnectionReuseStrategy, org.apache.http.conn.ConnectionKeepAliveStrategy, org.apache.http.conn.routing.HttpRoutePlanner, org.apache.http.protocol.HttpProcessor, org.apache.http.client.HttpRequestRetryHandler, org.apache.http.client.RedirectHandler, org.apache.http.client.AuthenticationHandler, org.apache.http.client.AuthenticationHandler, org.apache.http.client.UserTokenHandler, org.apache.http.params.HttpParams)">createClientRequestDirector</A>, <A HREF="../../../../../org/apache/http/impl/client/AbstractHttpClient.html#createClientRequestDirector(org.apache.http.protocol.HttpRequestExecutor, org.apache.http.conn.ClientConnectionManager, org.apache.http.ConnectionReuseStrategy, org.apache.http.conn.ConnectionKeepAliveStrategy, org.apache.http.conn.routing.HttpRoutePlanner, org.apache.http.protocol.HttpProcessor, org.apache.http.client.HttpRequestRetryHandler, org.apache.http.client.RedirectStrategy, org.apache.http.client.AuthenticationHandler, org.apache.http.client.AuthenticationHandler, org.apache.http.client.UserTokenHandler, org.apache.http.params.HttpParams)">createClientRequestDirector</A>, <A HREF="../../../../../org/apache/http/impl/client/AbstractHttpClient.html#createClientRequestDirector(org.apache.http.protocol.HttpRequestExecutor, org.apache.http.conn.ClientConnectionManager, org.apache.http.ConnectionReuseStrategy, org.apache.http.conn.ConnectionKeepAliveStrategy, org.apache.http.conn.routing.HttpRoutePlanner, org.apache.http.protocol.HttpProcessor, org.apache.http.client.HttpRequestRetryHandler, org.apache.http.client.RedirectStrategy, org.apache.http.client.AuthenticationStrategy, org.apache.http.client.AuthenticationStrategy, org.apache.http.client.UserTokenHandler, org.apache.http.params.HttpParams)">createClientRequestDirector</A>, <A HREF="../../../../../org/apache/http/impl/client/AbstractHttpClient.html#createConnectionKeepAliveStrategy()">createConnectionKeepAliveStrategy</A>, <A HREF="../../../../../org/apache/http/impl/client/AbstractHttpClient.html#createConnectionReuseStrategy()">createConnectionReuseStrategy</A>, <A HREF="../../../../../org/apache/http/impl/client/AbstractHttpClient.html#createCookieSpecRegistry()">createCookieSpecRegistry</A>, <A HREF="../../../../../org/apache/http/impl/client/AbstractHttpClient.html#createCookieStore()">createCookieStore</A>, <A HREF="../../../../../org/apache/http/impl/client/AbstractHttpClient.html#createCredentialsProvider()">createCredentialsProvider</A>, <A HREF="../../../../../org/apache/http/impl/client/AbstractHttpClient.html#createHttpContext()">createHttpContext</A>, <A HREF="../../../../../org/apache/http/impl/client/AbstractHttpClient.html#createHttpRequestRetryHandler()">createHttpRequestRetryHandler</A>, <A HREF="../../../../../org/apache/http/impl/client/AbstractHttpClient.html#createHttpRoutePlanner()">createHttpRoutePlanner</A>, <A HREF="../../../../../org/apache/http/impl/client/AbstractHttpClient.html#createProxyAuthenticationHandler()">createProxyAuthenticationHandler</A>, <A HREF="../../../../../org/apache/http/impl/client/AbstractHttpClient.html#createProxyAuthenticationStrategy()">createProxyAuthenticationStrategy</A>, <A HREF="../../../../../org/apache/http/impl/client/AbstractHttpClient.html#createRedirectHandler()">createRedirectHandler</A>, <A HREF="../../../../../org/apache/http/impl/client/AbstractHttpClient.html#createRequestExecutor()">createRequestExecutor</A>, <A HREF="../../../../../org/apache/http/impl/client/AbstractHttpClient.html#createTargetAuthenticationHandler()">createTargetAuthenticationHandler</A>, <A HREF="../../../../../org/apache/http/impl/client/AbstractHttpClient.html#createTargetAuthenticationStrategy()">createTargetAuthenticationStrategy</A>, <A HREF="../../../../../org/apache/http/impl/client/AbstractHttpClient.html#createUserTokenHandler()">createUserTokenHandler</A>, <A HREF="../../../../../org/apache/http/impl/client/AbstractHttpClient.html#determineParams(org.apache.http.HttpRequest)">determineParams</A>, <A HREF="../../../../../org/apache/http/impl/client/AbstractHttpClient.html#doExecute(org.apache.http.HttpHost, org.apache.http.HttpRequest, org.apache.http.protocol.HttpContext)">doExecute</A>, <A HREF="../../../../../org/apache/http/impl/client/AbstractHttpClient.html#getAuthSchemes()">getAuthSchemes</A>, <A HREF="../../../../../org/apache/http/impl/client/AbstractHttpClient.html#getBackoffManager()">getBackoffManager</A>, <A HREF="../../../../../org/apache/http/impl/client/AbstractHttpClient.html#getConnectionBackoffStrategy()">getConnectionBackoffStrategy</A>, <A HREF="../../../../../org/apache/http/impl/client/AbstractHttpClient.html#getConnectionKeepAliveStrategy()">getConnectionKeepAliveStrategy</A>, <A HREF="../../../../../org/apache/http/impl/client/AbstractHttpClient.html#getConnectionManager()">getConnectionManager</A>, <A HREF="../../../../../org/apache/http/impl/client/AbstractHttpClient.html#getConnectionReuseStrategy()">getConnectionReuseStrategy</A>, <A HREF="../../../../../org/apache/http/impl/client/AbstractHttpClient.html#getCookieSpecs()">getCookieSpecs</A>, <A HREF="../../../../../org/apache/http/impl/client/AbstractHttpClient.html#getCookieStore()">getCookieStore</A>, <A HREF="../../../../../org/apache/http/impl/client/AbstractHttpClient.html#getCredentialsProvider()">getCredentialsProvider</A>, <A HREF="../../../../../org/apache/http/impl/client/AbstractHttpClient.html#getHttpProcessor()">getHttpProcessor</A>, <A HREF="../../../../../org/apache/http/impl/client/AbstractHttpClient.html#getHttpRequestRetryHandler()">getHttpRequestRetryHandler</A>, <A HREF="../../../../../org/apache/http/impl/client/AbstractHttpClient.html#getParams()">getParams</A>, <A HREF="../../../../../org/apache/http/impl/client/AbstractHttpClient.html#getProxyAuthenticationHandler()">getProxyAuthenticationHandler</A>, <A HREF="../../../../../org/apache/http/impl/client/AbstractHttpClient.html#getProxyAuthenticationStrategy()">getProxyAuthenticationStrategy</A>, <A HREF="../../../../../org/apache/http/impl/client/AbstractHttpClient.html#getRedirectHandler()">getRedirectHandler</A>, <A HREF="../../../../../org/apache/http/impl/client/AbstractHttpClient.html#getRedirectStrategy()">getRedirectStrategy</A>, <A HREF="../../../../../org/apache/http/impl/client/AbstractHttpClient.html#getRequestExecutor()">getRequestExecutor</A>, <A HREF="../../../../../org/apache/http/impl/client/AbstractHttpClient.html#getRequestInterceptor(int)">getRequestInterceptor</A>, <A HREF="../../../../../org/apache/http/impl/client/AbstractHttpClient.html#getRequestInterceptorCount()">getRequestInterceptorCount</A>, <A HREF="../../../../../org/apache/http/impl/client/AbstractHttpClient.html#getResponseInterceptor(int)">getResponseInterceptor</A>, <A HREF="../../../../../org/apache/http/impl/client/AbstractHttpClient.html#getResponseInterceptorCount()">getResponseInterceptorCount</A>, <A HREF="../../../../../org/apache/http/impl/client/AbstractHttpClient.html#getRoutePlanner()">getRoutePlanner</A>, <A HREF="../../../../../org/apache/http/impl/client/AbstractHttpClient.html#getTargetAuthenticationHandler()">getTargetAuthenticationHandler</A>, <A HREF="../../../../../org/apache/http/impl/client/AbstractHttpClient.html#getTargetAuthenticationStrategy()">getTargetAuthenticationStrategy</A>, <A HREF="../../../../../org/apache/http/impl/client/AbstractHttpClient.html#getUserTokenHandler()">getUserTokenHandler</A>, <A HREF="../../../../../org/apache/http/impl/client/AbstractHttpClient.html#removeRequestInterceptorByClass(java.lang.Class)">removeRequestInterceptorByClass</A>, <A HREF="../../../../../org/apache/http/impl/client/AbstractHttpClient.html#removeResponseInterceptorByClass(java.lang.Class)">removeResponseInterceptorByClass</A>, <A HREF="../../../../../org/apache/http/impl/client/AbstractHttpClient.html#setAuthSchemes(org.apache.http.auth.AuthSchemeRegistry)">setAuthSchemes</A>, <A HREF="../../../../../org/apache/http/impl/client/AbstractHttpClient.html#setBackoffManager(org.apache.http.client.BackoffManager)">setBackoffManager</A>, <A HREF="../../../../../org/apache/http/impl/client/AbstractHttpClient.html#setConnectionBackoffStrategy(org.apache.http.client.ConnectionBackoffStrategy)">setConnectionBackoffStrategy</A>, <A HREF="../../../../../org/apache/http/impl/client/AbstractHttpClient.html#setCookieSpecs(org.apache.http.cookie.CookieSpecRegistry)">setCookieSpecs</A>, <A HREF="../../../../../org/apache/http/impl/client/AbstractHttpClient.html#setCookieStore(org.apache.http.client.CookieStore)">setCookieStore</A>, <A HREF="../../../../../org/apache/http/impl/client/AbstractHttpClient.html#setCredentialsProvider(org.apache.http.client.CredentialsProvider)">setCredentialsProvider</A>, <A HREF="../../../../../org/apache/http/impl/client/AbstractHttpClient.html#setHttpRequestRetryHandler(org.apache.http.client.HttpRequestRetryHandler)">setHttpRequestRetryHandler</A>, <A HREF="../../../../../org/apache/http/impl/client/AbstractHttpClient.html#setKeepAliveStrategy(org.apache.http.conn.ConnectionKeepAliveStrategy)">setKeepAliveStrategy</A>, <A HREF="../../../../../org/apache/http/impl/client/AbstractHttpClient.html#setParams(org.apache.http.params.HttpParams)">setParams</A>, <A HREF="../../../../../org/apache/http/impl/client/AbstractHttpClient.html#setProxyAuthenticationHandler(org.apache.http.client.AuthenticationHandler)">setProxyAuthenticationHandler</A>, <A HREF="../../../../../org/apache/http/impl/client/AbstractHttpClient.html#setProxyAuthenticationStrategy(org.apache.http.client.AuthenticationStrategy)">setProxyAuthenticationStrategy</A>, <A HREF="../../../../../org/apache/http/impl/client/AbstractHttpClient.html#setRedirectHandler(org.apache.http.client.RedirectHandler)">setRedirectHandler</A>, <A HREF="../../../../../org/apache/http/impl/client/AbstractHttpClient.html#setRedirectStrategy(org.apache.http.client.RedirectStrategy)">setRedirectStrategy</A>, <A HREF="../../../../../org/apache/http/impl/client/AbstractHttpClient.html#setReuseStrategy(org.apache.http.ConnectionReuseStrategy)">setReuseStrategy</A>, <A HREF="../../../../../org/apache/http/impl/client/AbstractHttpClient.html#setRoutePlanner(org.apache.http.conn.routing.HttpRoutePlanner)">setRoutePlanner</A>, <A HREF="../../../../../org/apache/http/impl/client/AbstractHttpClient.html#setTargetAuthenticationHandler(org.apache.http.client.AuthenticationHandler)">setTargetAuthenticationHandler</A>, <A HREF="../../../../../org/apache/http/impl/client/AbstractHttpClient.html#setTargetAuthenticationStrategy(org.apache.http.client.AuthenticationStrategy)">setTargetAuthenticationStrategy</A>, <A HREF="../../../../../org/apache/http/impl/client/AbstractHttpClient.html#setUserTokenHandler(org.apache.http.client.UserTokenHandler)">setUserTokenHandler</A></CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_org.apache.http.impl.client.CloseableHttpClient"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from class org.apache.http.impl.client.<A HREF="../../../../../org/apache/http/impl/client/CloseableHttpClient.html" title="class in org.apache.http.impl.client">CloseableHttpClient</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="../../../../../org/apache/http/impl/client/CloseableHttpClient.html#execute(org.apache.http.HttpHost, org.apache.http.HttpRequest)">execute</A>, <A HREF="../../../../../org/apache/http/impl/client/CloseableHttpClient.html#execute(org.apache.http.HttpHost, org.apache.http.HttpRequest, org.apache.http.protocol.HttpContext)">execute</A>, <A HREF="../../../../../org/apache/http/impl/client/CloseableHttpClient.html#execute(org.apache.http.HttpHost, org.apache.http.HttpRequest, org.apache.http.client.ResponseHandler)">execute</A>, <A HREF="../../../../../org/apache/http/impl/client/CloseableHttpClient.html#execute(org.apache.http.HttpHost, org.apache.http.HttpRequest, org.apache.http.client.ResponseHandler, org.apache.http.protocol.HttpContext)">execute</A>, <A HREF="../../../../../org/apache/http/impl/client/CloseableHttpClient.html#execute(org.apache.http.client.methods.HttpUriRequest)">execute</A>, <A HREF="../../../../../org/apache/http/impl/client/CloseableHttpClient.html#execute(org.apache.http.client.methods.HttpUriRequest, org.apache.http.protocol.HttpContext)">execute</A>, <A HREF="../../../../../org/apache/http/impl/client/CloseableHttpClient.html#execute(org.apache.http.client.methods.HttpUriRequest, org.apache.http.client.ResponseHandler)">execute</A>, <A HREF="../../../../../org/apache/http/impl/client/CloseableHttpClient.html#execute(org.apache.http.client.methods.HttpUriRequest, org.apache.http.client.ResponseHandler, org.apache.http.protocol.HttpContext)">execute</A></CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_java.lang.Object"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from class java.lang.<A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true#clone()" title="class or interface in java.lang">clone</A>, <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true#equals(java.lang.Object)" title="class or interface in java.lang">equals</A>, <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true#finalize()" title="class or interface in java.lang">finalize</A>, <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true#getClass()" title="class or interface in java.lang">getClass</A>, <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true#hashCode()" title="class or interface in java.lang">hashCode</A>, <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true#notify()" title="class or interface in java.lang">notify</A>, <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true#notifyAll()" title="class or interface in java.lang">notifyAll</A>, <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true#toString()" title="class or interface in java.lang">toString</A>, <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true#wait()" title="class or interface in java.lang">wait</A>, <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true#wait(long)" title="class or interface in java.lang">wait</A>, <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true#wait(long, int)" title="class or interface in java.lang">wait</A></CODE></TD>
</TR>
</TABLE>
&nbsp;
<P>

<!-- ========= CONSTRUCTOR DETAIL ======== -->

<A NAME="constructor_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Constructor Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="ContentEncodingHttpClient(org.apache.http.conn.ClientConnectionManager, org.apache.http.params.HttpParams)"><!-- --></A><H3>
ContentEncodingHttpClient</H3>
<PRE>
public <B>ContentEncodingHttpClient</B>(<A HREF="../../../../../org/apache/http/conn/ClientConnectionManager.html" title="interface in org.apache.http.conn">ClientConnectionManager</A>&nbsp;conman,
                                 <A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/params/HttpParams.html?is-external=true" title="class or interface in org.apache.http.params">HttpParams</A>&nbsp;params)</PRE>
<DL>
<DD><B>Deprecated.</B>&nbsp;<DD>Creates a new HTTP client from parameters and a connection manager.
<P>
<DL>
<DT><B>Parameters:</B><DD><CODE>params</CODE> - the parameters<DD><CODE>conman</CODE> - the connection manager</DL>
</DL>
<HR>

<A NAME="ContentEncodingHttpClient(org.apache.http.params.HttpParams)"><!-- --></A><H3>
ContentEncodingHttpClient</H3>
<PRE>
public <B>ContentEncodingHttpClient</B>(<A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/params/HttpParams.html?is-external=true" title="class or interface in org.apache.http.params">HttpParams</A>&nbsp;params)</PRE>
<DL>
<DD><B>Deprecated.</B>&nbsp;<DL>
<DT><B>Parameters:</B><DD><CODE>params</CODE> - </DL>
</DL>
<HR>

<A NAME="ContentEncodingHttpClient()"><!-- --></A><H3>
ContentEncodingHttpClient</H3>
<PRE>
public <B>ContentEncodingHttpClient</B>()</PRE>
<DL>
<DD><B>Deprecated.</B>&nbsp;</DL>

<!-- ============ METHOD DETAIL ========== -->

<A NAME="method_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Method Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="createHttpProcessor()"><!-- --></A><H3>
createHttpProcessor</H3>
<PRE>
protected <A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/protocol/BasicHttpProcessor.html?is-external=true" title="class or interface in org.apache.http.protocol">BasicHttpProcessor</A> <B>createHttpProcessor</B>()</PRE>
<DL>
<DD><B>Deprecated.</B>&nbsp;<DD>Create the processor with the following interceptors:
 <ul>
 <li><A HREF="../../../../../org/apache/http/client/protocol/RequestDefaultHeaders.html" title="class in org.apache.http.client.protocol"><CODE>RequestDefaultHeaders</CODE></A></li>
 <li><A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/protocol/RequestContent.html?is-external=true" title="class or interface in org.apache.http.protocol"><CODE>RequestContent</CODE></A></li>
 <li><A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/protocol/RequestTargetHost.html?is-external=true" title="class or interface in org.apache.http.protocol"><CODE>RequestTargetHost</CODE></A></li>
 <li><A HREF="../../../../../org/apache/http/client/protocol/RequestClientConnControl.html" title="class in org.apache.http.client.protocol"><CODE>RequestClientConnControl</CODE></A></li>
 <li><A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/protocol/RequestUserAgent.html?is-external=true" title="class or interface in org.apache.http.protocol"><CODE>RequestUserAgent</CODE></A></li>
 <li><A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/protocol/RequestExpectContinue.html?is-external=true" title="class or interface in org.apache.http.protocol"><CODE>RequestExpectContinue</CODE></A></li>
 <li><A HREF="../../../../../org/apache/http/client/protocol/RequestAddCookies.html" title="class in org.apache.http.client.protocol"><CODE>RequestAddCookies</CODE></A></li>
 <li><A HREF="../../../../../org/apache/http/client/protocol/ResponseProcessCookies.html" title="class in org.apache.http.client.protocol"><CODE>ResponseProcessCookies</CODE></A></li>
 <li><A HREF="../../../../../org/apache/http/client/protocol/RequestAuthCache.html" title="class in org.apache.http.client.protocol"><CODE>RequestAuthCache</CODE></A></li>
 <li><A HREF="../../../../../org/apache/http/client/protocol/RequestTargetAuthentication.html" title="class in org.apache.http.client.protocol"><CODE>RequestTargetAuthentication</CODE></A></li>
 <li><A HREF="../../../../../org/apache/http/client/protocol/RequestProxyAuthentication.html" title="class in org.apache.http.client.protocol"><CODE>RequestProxyAuthentication</CODE></A></li>
 </ul>
 <p>
<P>
<DD><DL>
<DT><B>Overrides:</B><DD><CODE><A HREF="../../../../../org/apache/http/impl/client/DefaultHttpClient.html#createHttpProcessor()">createHttpProcessor</A></CODE> in class <CODE><A HREF="../../../../../org/apache/http/impl/client/DefaultHttpClient.html" title="class in org.apache.http.impl.client">DefaultHttpClient</A></CODE></DL>
</DD>
<DD><DL>

<DT><B>Returns:</B><DD>the processor with the added interceptors.</DL>
</DD>
</DL>
<!-- ========= END OF CLASS DATA ========= -->
<HR>


<!-- ======= START OF BOTTOM NAVBAR ====== -->
<A NAME="navbar_bottom"><!-- --></A>
<A HREF="#skip-navbar_bottom" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/ContentEncodingHttpClient.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../index-all.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../../org/apache/http/impl/client/CloseableHttpClient.html" title="class in org.apache.http.impl.client"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../../../../../org/apache/http/impl/client/DecompressingHttpClient.html" title="class in org.apache.http.impl.client"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../../index.html?org/apache/http/impl/client/ContentEncodingHttpClient.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="ContentEncodingHttpClient.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_summary">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_detail">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_bottom"></A>
<!-- ======== END OF BOTTOM NAVBAR ======= -->

<HR>
Copyright &#169; 1999-2013 <a href="http://www.apache.org/">The Apache Software Foundation</a>. All Rights Reserved.
</BODY>
</HTML>
